Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings.refinements
Class Refinement

    java.lang.Object
      org.archive.crawler.settings.refinements.Refinement

    public class Refinement

extends java.lang.Object

This class acts as a mapping between refinement criterias and a settings object.

Author:
  John Erik Halse

Constructor Summary
`Refinement(CrawlerSettings owner, java.lang.String reference)` Create a new instance of Refinement
`Refinement(CrawlerSettings owner, java.lang.String reference, java.lang.String descr)` Create a new instance of Refinement

Method Summary
`void` | `addCriteria(Criteria criterion)` Add a new criterion to this refinement.
`java.util.ListIterator` | `criteriaIterator()` Get an `ListIterator` over the criteria set for this refinement.
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAudience()`
`java.lang.String` | `getDescription()` Return the description of this refinement.
`java.lang.String` | `getOperator()`
`java.lang.String` | `getOrganization()`
`java.lang.String` | `getReference()` Get the reference to this refinement's settings object.
`CrawlerSettings` | `getSettings()` Get the `CrawlerSettings` object this refinement refers to.
`boolean` | `isWithinRefinementBounds(UURI uri)` Check if a URI is within the bounds of every criteria set for this refinement.
`void` | `setAudience(java.lang.String audience)`
`void` | `setDescription(java.lang.String description)` Set the description for this refinement.
`void` | `setOperator(java.lang.String operator)`
`void` | `setOrganization(java.lang.String organization)`
`void` | `setReference(java.lang.String reference)` Set the reference to this refinement's settings object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Refinement

    public Refinement(CrawlerSettings owner,
                      java.lang.String reference)

  Create a new instance of Refinement

  Parameters:
    `owner` - the settings object that owns the refinement.
    `reference` - a name that combined with the owner uniquely identifies the refinement.

### Refinement

    public Refinement(CrawlerSettings owner,
                      java.lang.String reference,
                      java.lang.String descr)

  Create a new instance of Refinement

  Parameters:
    `owner` - the settings object that owns the refinement.
    `reference` - a name that combined with the owner uniquely identifies the refinement.
    `descr` - A textual description of the refinement.

Method Detail

### isWithinRefinementBounds

    public boolean isWithinRefinementBounds(UURI uri)

  Check if a URI is within the bounds of every criteria set for this refinement.

  Parameters:
    `uri` - the URI that shoulb be checked.
  Returns:
    true if within bounds.

### getDescription

    public java.lang.String getDescription()

  Return the description of this refinement.

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description for this refinement.

  Parameters:
    `description` - The description to set.

### criteriaIterator

    public java.util.ListIterator criteriaIterator()

  Get an `ListIterator` over the criteria set for this refinement.

  Returns:
    Returns an iterator over the criteria.

### addCriteria

    public void addCriteria(Criteria criterion)

  Add a new criterion to this refinement.

  Parameters:
    `criterion` - the criterion to add.

### getReference

    public java.lang.String getReference()

  Get the reference to this refinement's settings object.

  Returns:
    Returns the reference.

### setReference

    public void setReference(java.lang.String reference)

  Set the reference to this refinement's settings object.

  Parameters:
    `reference` - The reference to set.

### getSettings

    public CrawlerSettings getSettings()

  Get the `CrawlerSettings` object this refinement refers to.

  Returns:
    the settings object this refinement refers to.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getAudience

    public java.lang.String getAudience()

  Returns:
    Returns the audience.

### setAudience

    public void setAudience(java.lang.String audience)

  Parameters:
    `audience` - The audience to set.

### getOperator

    public java.lang.String getOperator()

  Returns:
    Returns the operator.

### setOperator

    public void setOperator(java.lang.String operator)

  Parameters:
    `operator` - The operator to set.

### getOrganization

    public java.lang.String getOrganization()

  Returns:
    Returns the organziation.

### setOrganization

    public void setOrganization(java.lang.String organization)

  Parameters:
    `organization` - The organziation to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.